Can't create Jnario Specs, Features and Suits in Eclipse

111 views
Skip to first unread message

Christian Braun

unread,
Dec 19, 2014, 11:56:09 AM12/19/14
to jna...@googlegroups.com
Hi guys,

I have some trouble creating Jnario Specs Features and Suits using Eclipse EE Luna and Kepler. I installed Jnario through the Eclipse Marketplace.
When I try to create a new Jnario file I get the following Error message:

The selected wizard could not be started.
org
/eclipse/xtext/xbase/resource/JvmDeclaredTypeSignatureHashProvider$SignatureHashBuilder

Creating Xtend classes works just fine.
So I reinstalled Jnario various times, also tried using the update site instead of the Marketplace but the issue won't disappear. I also downloaded Kepler to see if Jnario has some problems with Luna, but the same Error occured.
When I import Jnario filed from an existing project I get the Error message:

An error has occurred. See error log for more details.
java
.lang.NullPointerException

I also tried installing, uninstalling xtext and xtend various times but it wont work.
Maybe you can help me out.

Best regards
Christian

Anton

unread,
Mar 12, 2015, 5:21:45 PM3/12/15
to jna...@googlegroups.com
Hi Christian

Did you ever find a resolution for this issue? I'm also experiencing the same problem.

Thanks

Tobias Janz

unread,
Jun 3, 2015, 2:26:21 AM6/3/15
to jna...@googlegroups.com
Hi Anton and Christian,

don't know if you solved the Problem already, but here a suggestion:
The Marketplaceinstallation references a ASM 5.0 Integration Release. The Referenced Version is not available any more and becuase of this the installation is not correct. I use the following steps to install jnario:
  1. Install XTend 2.6 via Update-Site
  2. Install ASM 5.0 via Update
  3. Install Jnario from Marketplace

Let me know if the solution solved the Problem.

Tobias

Reply all
Reply to author
Forward
0 new messages